Bug 112854 - Can't write Eurosign in xterm and on the console (UTF-8)
Can't write Eurosign in xterm and on the console (UTF-8)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-04 01:19 EST by Pascal Volk
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-09 02:21:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pascal Volk 2004-01-04 01:19:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
The /etc/sysconfig/i18n on my System looks like this:

If I open a xterm I can't input the eurosign (€) with the
shortcut [AltGr] + [E]. 
The same problem is present in the console (e.g. in Runlevel 3).

If I start a konsole (KDE) or gnome-terminal the aforementioned
shortcut works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set your /etc/sysconfig/i18n or ~/.i18n as aforementioned
2. start a xterm
3. enter the shortcut [AltGr] + [E]

Actual Results:  The xterm returns a space character.

Expected Results:  The xterm should return the eurosign (�).

Additional info:

I've fixed the problem for me, after I've added the following two
lines to /usr/X11R6/lib/X11/app-defaults/XTerm:

*faceName: MiscFixed
*faceSize: 10
Comment 1 Mike A. Harris 2004-02-09 02:21:31 EST
The font you were using did not contain the Euro symbol obviously.
The solution to that is to choose a font that does have the Euro
symbol of course, which is what your solution seems to have been.

This isn't a bug.

Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.